import java.util.Scanner;

/* NB: For the judge to run the program, do not modify the declaration of the class Main or
 *     method main() below. The class has to be declared as "class Main { ... }"
 *     and the method as "public static void main(String[] args) { ... }" */
class Main {

	public static void main(String[] args) {

		// Read from the standard input with java.util.Scanner
		Scanner scanner = new Scanner(System.in);

		// Read C into 'cases' and loop over the cases
		int case_no, cases = scanner.nextInt();
		for (case_no = 0; case_no < cases; case_no++) {

			// Each case has its own local variables i, n, d, e, ...
			int i;

			// Read n, D and then the array d[i] and e[i]
			int n = scanner.nextInt();
			int mindist = scanner.nextInt();
			int[] d = new int[n];
			for (i = 0; i < n; i++)
				d[i] = scanner.nextInt();
			int[] e = new int[n];
			for (i = 0; i < n; i++)
				e[i] = scanner.nextInt();

			// energy_with[i] is the maximum energy obtainable from turbines
			// 0..i with a turbine at position i
			int[] energy_with = new int[n];
			for (i = 0; i < n; i++) {
				// Find the best solution with turbines to the left of i and far
				// enough
				int j, max_prev_energy = 0;
				// We can stop when we actually hit the minimum distance, as for
				// j=i we surely hit it.
				for (j = 0; d[j] <= d[i] - mindist; j++) {
					if (energy_with[j] > max_prev_energy) {
						max_prev_energy = energy_with[j];
					}
				}
				// Use the turbine number i and best previous solution
				energy_with[i] = e[i] + max_prev_energy;
			}

			// Find the maximum
			int max_energy = 0;
			for (i = 0; i < n; i++) {
				if (energy_with[i] > max_energy) {
					max_energy = energy_with[i];
				}
			}

			// Output the maximum energy output
			System.out.println(max_energy);

		}

		scanner.close();
	}
}
